%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version:        5.6.4
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0:        https://tarballs.openstack.org/tripleo-validations/tripleo-validations-%{upstream_version}.tar.gz

# patches_base=5.6.4
Patch0001: 0001-controller-token.yaml-Checks-that-keystone-token-is-.patch
Patch0002: 0002-Add-a-warn-ansible-module.patch
Patch0003: 0003-Check-for-Ceph-status-in-post-deployment.patch

# patches_ignore=DROP-IN-RPM

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires:       ansible >= 2
Requires:       python-pbr
Requires:       python-setuptools

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python-coverage
BuildRequires:  python-subunit
BuildRequires:  python-oslotest
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-netaddr
BuildRequires:  ansible >= 2

Requires:       python-coverage
Requires:       python-subunit
Requires:       python-oslotest
Requires:       python-oslo-config >= 2:3.14.0
Requires:       python-heatclient >= 1.6.1
Requires:       python-keystoneclient >= 1:3.8.0
Requires:       python-novaclient >= 1:2.29.0
Requires:       python-testrepository
Requires:       python-testscenarios
Requires:       python-testtools
Requires:       python-netaddr
Requires:       ansible >= 2

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python-sphinx
BuildRequires:    python-oslo-sphinx

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

# docs generation
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_validations
%{python2_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%exclude %{python2_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python2_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Wed Mar 28 2018 shrjoshi <shrjoshi@redhat.com> 5.6.4-1
- Update to 5.6.4

* Thu Dec 21 2017 Steve Linabery <slinaber@redhat.com> 5.6.2-1
- Update to 5.6.2

* Fri Nov 10 2017 Steve Linabery <slinaber@redhat.com> 5.6.1-1
- Update to 5.6.1

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 5.5.0-2
- [Ocata only] Fix inventory - no PublicVip in ocata tht
- Updated from global requirements
- Add ability to write static inventory
- Improve performance when fetching outputs
- Add 'become: true' to haproxy validation

* Thu Apr 20 2017 Jon Schlueter <jschluet@redhat.com> 5.5.0-1
- Update to 5.5.0
- Let undercloud-process-count succeed with warnings (rhbz#1433942)

* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 5.4.0-8
- Drop scapy dependency (rhbz#1435319)

* Wed Apr 05 2017 Jon Schlueter <jschluet@redhat.com> 5.4.0-7
- Fix token auth in ansible inventory script (rhbz#1437103)

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 5.4.0-6
- Updated from global requirements
- Use generic keystone plugins instead of version-specific
- Add missing mistralclient requirement
- Migrate from keystoneclient to keystoneauth
- Typo fix: choses => chooses

* Sun Mar 19 2017 Steve Linabery <slinaber@redhat.com> 5.4.0-5
- Check for Ceph status in post-deployment
- Add a 'warn' ansible module

* Mon Mar 13 2017 Steve Linabery <slinaber@redhat.com> 5.4.0-4
- Relax pbr version requirement inherited from branchless upstream

* Mon Mar 13 2017 Steve Linabery <slinaber@redhat.com> 5.4.0-3
- Updated from global requirements
- prevent validations from failing  when undercloud.conf is missing:
- controller-token.yaml: Checks that keystone token is disabled after deployment.

* Tue Mar 07 2017 Steve Linabery <slinaber@redhat.com> 5.4.0-2
- [trivial] Remove broken link

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 5.4.0-1
- Update to 5.4.0

